diff -rNu desktop-base-0.3.16/debian/changelog patched-0.3.16/debian/changelog
--- desktop-base-0.3.16/debian/changelog	2005-10-09 21:15:10.000000000 +0200
+++ patched-0.3.16/debian/changelog	2006-01-06 10:20:07.000000000 +0100
@@ -1,3 +1,10 @@
+desktop-base (0.3.16-patched1) unstable; urgency=low
+
+  * Use desktop-profiles to set up XFCE4 and KDE to use the stuff in this
+    package
+
+ -- Bart Cornelis (cobaco) <cobaco@linux.be>  Thu,  5 Jan 2006 22:23:35 +0100
+
 desktop-base (0.3.16) unstable; urgency=low
 
   * GNOME Team Upload
diff -rNu desktop-base-0.3.16/desktop-base.listing patched-0.3.16/desktop-base.listing
--- desktop-base-0.3.16/desktop-base.listing	1970-01-01 01:00:00.000000000 +0100
+++ patched-0.3.16/desktop-base.listing	2006-01-18 14:37:04.000000000 +0100
@@ -0,0 +1,19 @@
+# The profiles listed here set up the various Desktop environments to use the
+# background, splashscreen, ... provided by the destkop-base package, details
+# are listed in the comments above each profile
+#
+# See the desktop-profiles (7) man page for details about the format of this 
+# file, and how it will be used
+################################################################################
+
+# For KDE the following is done:
+# - use what /usr/share/images/desktop-base/desktop-background points to as
+#   background
+kde-branding;KDE;/usr/share/desktop-base/profiles/kde;;;Debian kde customization
+
+# For XFCE the following is done:
+# - use what /usr/share/images/desktop-base/desktop-background points to as
+#   background
+# - use what /usr/share/images/desktop-base/desktop-splash  points to for
+#   the splash-screen
+xfce-branding;XDG_CONFIG;/usr/share/desktop-base/profiles/xdg-config;;;Debian xfce4 customization
diff -rNu desktop-base-0.3.16/Makefile patched-0.3.16/Makefile
--- desktop-base-0.3.16/Makefile	2005-10-09 21:00:06.000000000 +0200
+++ patched-0.3.16/Makefile	2006-01-06 10:18:24.000000000 +0100
@@ -21,6 +21,19 @@
 	mkdir -p $(DESTDIR)/usr/share/desktop-base
 	$(INSTALL) $(DESKTOPFILES) $(DESTDIR)/usr/share/desktop-base/
 
+        # kde-setup
+	mkdir -p $(DESTDIR)/usr/share/desktop-base/profiles/kde/share/config
+	$(INSTALL) $(wildcard profiles/kde/share/config/*) $(DESTDIR)/usr/share/desktop-base/profiles/kde/share/config
+
+	# xfce4 setup (uses the more general freedesktop stuff)
+	mkdir -p $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4/mcs_settings
+	$(INSTALL) $(wildcard profiles/xdg-config/xfce4/mcs_settings/*) $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4/mcs_settings
+	mkdir -p $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4-session
+	$(INSTALL) $(wildcard profiles/xdg-config/xfce4-session/*) $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4-session
+
+	mkdir -p $(DESTDIR)/etc/desktop-profiles
+	$(INSTALL) desktop-base.listing $(DESTDIR)/etc/desktop-profiles/
+	
 	mkdir -p $(DESTDIR)/usr/share/pixmaps
 	$(INSTALL) $(PIXMAPS) $(DESTDIR)/usr/share/pixmaps/
 
diff -rNu desktop-base-0.3.16/profiles/kde/share/config/kdesktoprc patched-0.3.16/profiles/kde/share/config/kdesktoprc
--- desktop-base-0.3.16/profiles/kde/share/config/kdesktoprc	1970-01-01 01:00:00.000000000 +0100
+++ patched-0.3.16/profiles/kde/share/config/kdesktoprc	2006-01-05 21:06:21.000000000 +0100
@@ -0,0 +1,18 @@
+[Desktop0]
+BackgroundMode=VerticalGradient
+BlendBalance=100
+BlendMode=NoBlending
+ChangeInterval=60
+Color1=30,114,160
+Color2=192,192,192
+CurrentWallpaper=0
+LastChange=0
+MinOptimizationDepth=1
+MultiWallpaperMode=NoMulti
+Pattern=
+Program=
+ReverseBlending=false
+UseSHM=false
+Wallpaper=/usr/share/images/desktop-base/default
+WallpaperList=
+WallpaperMode=Scaled
diff -rNu desktop-base-0.3.16/profiles/xdg-config/xfce4/mcs_settings/desktop.xml patched-0.3.16/profiles/xdg-config/xfce4/mcs_settings/desktop.xml
--- desktop-base-0.3.16/profiles/xdg-config/xfce4/mcs_settings/desktop.xml	1970-01-01 01:00:00.000000000 +0100
+++ patched-0.3.16/profiles/xdg-config/xfce4/mcs_settings/desktop.xml	2006-01-05 21:06:21.000000000 +0100
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE mcs-option SYSTEM "mcs-option.dtd">
+
+<mcs-option>
+	<option name="brightness_0_0" type="int" value="0"/>
+	<option name="color1_0_0" type="color" value="            7936,           16128,           28416,           65535"/>
+	<option name="color2_0_0" type="color" value="           26880,           34048,           46848,           65535"/>
+	<option name="colorstyle_0_0" type="int" value="1"/>
+	<option name="imagepath_0_0" type="string" value="/usr/share/images/desktop-base/desktop-background"/>
+	<option name="imagestyle_0_0" type="int" value="3"/>
+	<option name="showdm" type="int" value="1"/>
+	<option name="showdmi" type="int" value="1"/>
+	<option name="showimage_0_0" type="int" value="1"/>
+	<option name="showwl" type="int" value="1"/>
+	<option name="showwli" type="int" value="1"/>
+</mcs-option>
diff -rNu desktop-base-0.3.16/profiles/xdg-config/xfce4-session/xfce4-session.rc patched-0.3.16/profiles/xdg-config/xfce4-session/xfce4-session.rc
--- desktop-base-0.3.16/profiles/xdg-config/xfce4-session/xfce4-session.rc	1970-01-01 01:00:00.000000000 +0100
+++ patched-0.3.16/profiles/xdg-config/xfce4-session/xfce4-session.rc	2006-01-05 21:06:21.000000000 +0100
@@ -0,0 +1,7 @@
+[Splash Screen]
+Engine=simple
+
+[General]
+SessionName=Default
+SaveOnExit=true
+
diff -rNu desktop-base-0.3.16/profiles/xdg-config/xfce4-session/xfce4-splash.rc patched-0.3.16/profiles/xdg-config/xfce4-session/xfce4-splash.rc
--- desktop-base-0.3.16/profiles/xdg-config/xfce4-session/xfce4-splash.rc	1970-01-01 01:00:00.000000000 +0100
+++ patched-0.3.16/profiles/xdg-config/xfce4-session/xfce4-splash.rc	2006-01-05 21:06:21.000000000 +0100
@@ -0,0 +1,5 @@
+[Engine: simple]
+Font=Sans Bold 10
+BgColor=#000000
+FgColor=#ffffff
+Image=/usr/share/images/desktop-base/desktop-splash
